import service from '@/utils/request'

export const getArticalList = (data) => {
    return service({
        url: "/api/artical/getArticalList",
        method: 'post',
        data
    })
}

export const getHotArticalList = (data) => {
    return service({
        url: "/api/base/getHotArticalList",
        method: 'post',
        data
    })
}

export const getApplyArticalList = (data) => {
    return service({
        url: "/api/artical/getApplyArticalList",
        method: 'post',
        data
    })
}

export const getReplyArticalList = (data) => {
    return service({
        url: "/api/artical/getReplyArticalList",
        method: 'post',
        data
    })
}

export const getMyArticalList = (data) => {
    return service({
        url: "/api/artical/getMyArticalList",
        method: 'post',
        data
    })
}
export const getDeleteArticalList = (data) => {
    return service({
        url: "/api/artical/getDeleteArticalList",
        method: 'post',
        data
    })
}


export const getEditArticalList = (data) => {
    return service({
        url: "/api/artical/getEditArticalList",
        method: 'post',
        data
    })
}

export const getConfirmArticalList = (data) => {
    return service({
        url: "/api/artical/getConfirmArticalList",
        method: 'post',
        data
    })
}

export const getPublishArticalList = (data) => {
    return service({
        url: "/api/artical/getPublishArticalList",
        method: 'post',
        data
    })
}

export const getViewArticalList = (data) => {
    return service({
        url: "/api/artical/getViewArticalList",
        method: 'post',
        data
    })
}

export const getDownloadArticalList = (data) => {
    return service({
        url: "/api/artical/getDownloadArticalList",
        method: 'post',
        data
    })
}

export const addArtical = (data) => {
    return service({
        url: "/api/artical/addArtical",
        method: 'post',
        data
    })
}

export const editArtical = (data) => {
    return service({
        url: "/api/artical/editArtical",
        method: 'post',
        data
    })
}

export const editArticalTitle = (data) => {
    return service({
        url: "/api/artical/editArticalTitle",
        method: 'post',
        data
    })
}

export const getManageArticalList = (data) => {
    return service({
        url: "/api/artical/getManageArticalList",
        method: 'post',
        data
    })
}


export const getArticalInfo = (data) => {
    return service({
        url: "/api/artical/getArticalInfo",
        method: 'post',
        data
    })
}

export const getDeleteArticalInfo = (data) => {
    return service({
        url: "/api/artical/getDeleteArticalInfo",
        method: 'post',
        data
    })
}


export const likeArtical = (data) => {
    return service({
        url: "/api/artical/likeArtical",
        method: 'post',
        data
    })
}

export const unLikeArtical = (data) => {
    return service({
        url: "/api/artical/unLikeArtical",
        method: 'post',
        data
    })
}

export const getArticalLikeList = (data) => {
    return service({
        url: "/api/artical/getArticalLikeList",
        method: 'post',
        data
    })
}


export const downloadArtical = (data) => {
    return service({
        url: "/api/artical/downloadArtical",
        method: 'post',
        data
    })
}

export const downloadFile = (data) => {
    return service({
        url: "/api/artical/downloadFile",
        method: 'post',
        data
    })
}

export const applyArtical = (data) => {
    return service({
        url: "/api/artical/applyArtical",
        method: 'post',
        data
    })
}

export const replyArtical = (data) => {
    return service({
        url: "/api/artical/replyArtical",
        method: 'post',
        data
    })
}

export const waitConfirmArticalList = (data) => {
    return service({
        url: "/api/artical/waitConfirmArticalList",
        method: 'post',
        data
    })
}


export const waitPublishArticalList = (data) => {
    return service({
        url: "/api/artical/waitPublishArticalList",
        method: 'post',
        data
    })
}

export const confirmArtical = (data) => {
    return service({
        url: "/api/artical/confirmArtical",
        method: 'post',
        data
    })
}


export const publishArtical = (data) => {
    return service({
        url: "/api/artical/publishArtical",
        method: 'post',
        data
    })
}

export const deleteArtical = (data) => {
    return service({
        url: "/api/artical/deleteArtical",
        method: 'post',
        data
    })
}

export const cleanArtical = (data) => {
    return service({
        url: "/api/artical/cleanArtical",
        method: 'post',
        data
    })
}


